## qmapshack 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(QMapShack)

# has to be removed later on

if(UNIX)
set(CMAKE_PREFIX_PATH /opt/Qt/5.3/gcc_64)
endif(UNIX)


if(WIN32)
set(QT_DEV_PATH   "" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.3\\msvc2013_64")
set(GDAL_DEV_PATH "" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
set(PROJ_DEV_PATH "" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
set(CMAKE_PREFIX_PATH ${QT_DEV_PATH})
endif(WIN32)


set(APPLICATION_NAME qmapshack)

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "6")
set(APPLICATION_VERSION_PATCH "0")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})


if (APPLE)
  set(PROGNAME "QMapShack")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(MAC_BUNDLE_PATH ${EXECUTABLE_OUTPUT_PATH}/${PROGNAME}.app)
  set(MAC_ICON_FILE qmapshack.icns)
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH})
  set(MACOSX_BUNDLE_ICON_FILE ${MAC_ICON_FILE})
  set(MACOSX_BUNDLE_BUNDLE_NAME ${PROGNAME})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR})
  set(MACOSX_BUNDLE_GUI_IDENTIFIER org.qlandkarte.QMapShack)
else(APPLE)
  set(PROGNAME qmapshack)
  set(CONFIGDIR ".config/QLandkarte/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
add_subdirectory(3rdparty/CGetOpt)
add_subdirectory(src)


if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qmapshack.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      src/icons/48x48/QMapShack.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qmapshack.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find the QtWidgets library
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)

set( SRCS
    main.cpp
    GeoMath.cpp
    CMainWindow.cpp
    CAbout.cpp
    helpers/CInputDialog.cpp
    helpers/CPositionDialog.cpp
    helpers/CWptIconDialog.cpp
    helpers/CTextEditWidget.cpp
    helpers/CSelectProjectDialog.cpp
    canvas/CCanvas.cpp
    canvas/CCanvasSetup.cpp
    canvas/IDrawContext.cpp
    canvas/IDrawObject.cpp
    dem/IDem.cpp
    map/IMapProp.cpp
    dem/IDemProp.cpp
    dem/CDemDraw.cpp
    dem/CDemVRT.cpp
    dem/CDemList.cpp
    dem/CDemItem.cpp
    dem/CDemPathSetup.cpp
    dem/CDemPropSetup.cpp
    map/IMap.cpp
    map/CMapDraw.cpp
    map/CMapItem.cpp
    map/CMapList.cpp
    map/CMapRMAP.cpp
    map/CMapJNX.cpp
    map/CMapIMG.cpp
    map/CMapMAP.cpp
    map/CMapVRT.cpp
    map/CMapWMTS.cpp
    map/CMapPathSetup.cpp    
    map/CMapPropSetup.cpp
    map/garmin/IGarminStrTbl.cpp
    map/garmin/CGarminStrTbl6.cpp
    map/garmin/CGarminStrTbl8.cpp
    map/garmin/CGarminStrTblUtf8.cpp
    map/garmin/CGarminPoint.cpp
    map/garmin/CGarminPolygon.cpp
    map/garmin/CGarminTyp.cpp
    map/wmts/CDiskCache.cpp
    map/wmts/IDiskCache.cpp
    map/mapsforge/types.cpp
    units/IUnit.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CTimeZoneSetup.cpp
    grid/CGrid.cpp
    grid/CGridSetup.cpp
    grid/CProjWizard.cpp
    grid/mitab.cpp
    mouse/IMouse.cpp
    mouse/IMouseEditLine.cpp
    mouse/IScrOpt.cpp
    mouse/CMouseNormal.cpp
    mouse/CMouseMoveWpt.cpp
    mouse/CMouseEditTrk.cpp
    mouse/CMouseEditArea.cpp
    mouse/CMouseRangeTrk.cpp
    mouse/CScrOptUnclutter.cpp    
    mouse/CScrOptPoint.cpp
    mouse/CScrOptEditLine.cpp
    mouse/CScrOptRange.cpp
    mouse/CScrOptRangeTrk.cpp
    gis/WptIcons.cpp
    gis/CGisDraw.cpp
    gis/IGisItem.cpp
    gis/IGisLine.cpp
    gis/wpt/CGisItemWpt.cpp
    gis/wpt/CScrOptWpt.cpp
    gis/wpt/CDetailsWpt.cpp
    gis/wpt/CDetailsGeoCache.cpp
    gis/wpt/CProjWpt.cpp
    gis/trk/CGisItemTrk.cpp
    gis/trk/CScrOptTrk.cpp
    gis/trk/CDetailsTrk.cpp
    gis/trk/CCombineTrk.cpp
    gis/rte/CGisItemRte.cpp
    gis/rte/CScrOptRte.cpp
    gis/ovl/CGisItemOvlArea.cpp
    gis/ovl/CScrOptOvlArea.cpp
    gis/ovl/CDetailsOvlArea.cpp
    gis/CGisWidget.cpp
    gis/CGisListDB.cpp
    gis/CGisListWks.cpp
    gis/CGisProject.cpp
    plot/IPlot.cpp
    plot/CPlotAxis.cpp
    plot/CPlotAxisTime.cpp    
    plot/CPlotData.cpp
    plot/CPlotProfile.cpp
    plot/CPlotSpeed.cpp
    plot/CPlotDistance.cpp
    plot/CPlotTrack.cpp
)

set( HDRS

    version.h
    GeoMath.h
    CMainWindow.h
    CAbout.h
    helpers/Platform.h
    helpers/CFileExt.h
    helpers/CAppOpts.h
    helpers/CSettings.h
    helpers/CInputDialog.h
    helpers/CPositionDialog.h
    helpers/CWptIconDialog.h
    helpers/CTextEditWidget.h
    helpers/CSelectProjectDialog.h
    canvas/CCanvas.h
    canvas/CCanvasSetup.h
    canvas/IDrawContext.h
    canvas/IDrawObject.h
    dem/IDem.h
    dem/IDemProp.h
    dem/CDemDraw.h
    dem/CDemVRT.h
    dem/CDemList.h
    dem/CDemItem.h
    dem/CDemPathSetup.h
    dem/CDemPropSetup.h
    map/IMap.h
    map/IMapProp.h
    map/CMapDraw.h
    map/CMapItem.h
    map/CMapList.h
    map/CMapRMAP.h
    map/CMapJNX.h
    map/CMapIMG.h
    map/CMapMAP.h
    map/CMapVRT.h
    map/CMapWMTS.h
    map/CMapPathSetup.h
    map/CMapPropSetup.h    
    map/garmin/Garmin.h
    map/garmin/IGarminStrTbl.h
    map/garmin/CGarminStrTbl6.h
    map/garmin/CGarminStrTbl8.h
    map/garmin/CGarminStrTblUtf8.h
    map/garmin/CGarminPoint.h
    map/garmin/CGarminPolygon.h
    map/garmin/CGarminTyp.h
    map/wmts/CDiskCache.h
    map/wmts/IDiskCache.h
    map/mapsforge/types.h
    units/IUnit.h
    units/CUnitImperial.h
    units/CUnitMetric.h
    units/CUnitNautic.h
    units/CTimeZoneSetup.h
    grid/CGrid.h
    grid/CGridSetup.h
    grid/CProjWizard.h
    grid/mitab.h
    mouse/IMouse.h
    mouse/IMouseEditLine.h
    mouse/IScrOpt.h
    mouse/CMouseNormal.h
    mouse/CMouseMoveWpt.h
    mouse/CMouseEditTrk.h
    mouse/CMouseEditArea.h
    mouse/CMouseRangeTrk.h
    mouse/CScrOptUnclutter.h
    mouse/CScrOptPoint.h
    mouse/CScrOptEditLine.h
    mouse/CScrOptRange.h
    mouse/CScrOptRangeTrk.h
    gis/WptIcons.h
    gis/CGisDraw.h
    gis/IGisItem.h
    gis/IGisLine.h
    gis/wpt/CGisItemWpt.h
    gis/wpt/CScrOptWpt.h
    gis/wpt/CDetailsWpt.h
    gis/wpt/CDetailsGeoCache.h
    gis/wpt/CProjWpt.h
    gis/trk/CGisItemTrk.h
    gis/trk/CScrOptTrk.h
    gis/trk/CDetailsTrk.h
    gis/trk/CCombineTrk.h
    gis/rte/CGisItemRte.h
    gis/rte/CScrOptRte.h
    gis/ovl/CGisItemOvlArea.h
    gis/ovl/CScrOptOvlArea.h
    gis/ovl/CDetailsOvlArea.h
    gis/CGisWidget.h
    gis/CGisListDB.h
    gis/CGisListWks.h
    gis/CGisProject.h    
    plot/IPlot.h
    plot/CPlotAxis.h
    plot/CPlotAxisTime.h
    plot/CPlotData.h
    plot/CPlotProfile.h
    plot/CPlotSpeed.h
    plot/CPlotDistance.h
    plot/CPlotTrack.h
)

set( UIS
    IMainWindow.ui
    IAbout.ui
    helpers/IInputDialog.ui
    helpers/IPositionDialog.ui
    helpers/IWptIconDialog.ui
    helpers/ITextEditWidget.ui
    helpers/ISelectProjectDialog.ui
    canvas/ICanvasSetup.ui
    dem/IDemList.ui
    dem/IDemPathSetup.ui
    dem/IDemPropSetup.ui
    map/IMapList.ui
    map/IMapPathSetup.ui
    map/IMapPropSetup.ui
    grid/IGridSetup.ui
    grid/IProjWizard.ui
    mouse/IScrOptPoint.ui
    mouse/IScrOptEditLine.ui
    mouse/IScrOptRange.ui
    mouse/IScrOptRangeTrk.ui
    gis/IGisWidget.ui
    gis/wpt/IScrOptWpt.ui
    gis/wpt/IDetailsWpt.ui
    gis/wpt/IDetailsGeoCache.ui
    gis/wpt/IProjWpt.ui
    gis/trk/IScrOptTrk.ui
    gis/trk/IDetailsTrk.ui
    gis/trk/ICombineTrk.ui
    gis/rte/IScrOptRte.ui
    gis/ovl/IScrOptOvlArea.ui
    gis/ovl/IDetailsOvlArea.ui
    units/ITimeZoneSetup.ui
)

set( RCS
    resources.qrc
)


qt5_wrap_ui(UI_HDRS ${UIS})
qt5_add_resources(RC_SRCS ${RCS})

if(UNIX)
    add_definitions(-Wall)
endif(UNIX)


file(GLOB TRANSLATIONS_FILES locale/*.ts)


qt5_add_translation(
    ${APPLICATION_NAME}_QM_FILES
    ${TRANSLATIONS_FILES}
)


set(ALLINP
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${${APPLICATION_NAME}_QM_FILES}
)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/3rdparty/CGetOpt
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}

)



# Tell CMake to create the helloworld executable
add_executable(${APPLICATION_NAME} WIN32 ${ALLINP})

# Use the Widgets module from Qt 5.
target_link_libraries(${APPLICATION_NAME}
    Qt5::Widgets
    Qt5::Xml
    Qt5::WebKitWidgets
    CGetOpt
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}

)

install(
    TARGETS
      ${APPLICATION_NAME}
    DESTINATION
      ${BIN_INSTALL_DIR}
)

if (UNIX AND NOT WIN32 AND NOT APPLE)
install(
    FILES
        ${${APPLICATION_NAME}_QM_FILES}
    DESTINATION
        ${DATA_INSTALL_PREFIX}/${APPLICATION_NAME}/translations)
endif (UNIX AND NOT WIN32 AND NOT APPLE)

if (APPLE)
add_custom_target(locversion.plist ALL
    COMMAND
        ${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${${APPLICATION_NAME}_QM_FILES}
)
endif (APPLE)

=== 3rdparty/CGetOpt/CMakeLists.txt ===
project(CGetOpt)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt5Widgets)

set(SRCS
    CGetOpt.cpp
)

set(HDRS
    CGetOpt.h
)

set(UIS

)

set(RCS


)



  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})

include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(CGetOpt
  STATIC
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)


qt5_use_modules(CGetOpt Widgets)

target_link_libraries( CGetOpt
      ${QT_LIBRARIES}
)

=== debian/changelog ===
qmapshack (0.6.0-1) unstable; urgency=medium

  * Start new upload.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 21:41:48 +0200

qmapshack (0.5.0-1) unstable; urgency=low

  * Imported Upstream version 0.5.0
  * Remove qt5-default from build deps.
  * Bump Standards.
  * Update copyright file.
  * Provide code for Exec key in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Oct 2014 12:47:09 +0200

qmapshack (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #756064).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Aug 2014 18:07:05 +0200

=== debian/control ===
Source: qmapshack
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               inkscape,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qmapshack.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git

Package: qmapshack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gdal-bin
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+repack\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)+ds1
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

export QT_SELECT := qt5

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_auto_build:
	cd $(CURDIR)/src/icons/ && bash makeicons
	cd $(CURDIR)/src/icons/cache/ && bash makeicons
	cd $(CURDIR)/src/icons/waypoints/ && bash makeicons
	inkscape -D -w 180 -h 180 $(CURDIR)/src/pics/compass.svg --export-png=$(CURDIR)/src/pics/compass.png
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/qmapshack/usr/share/pixmaps/


# get-orig-source to drop upstream .hg dir
get-orig-source:
# When this bug will be fixed uscan will be used again
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=749225
	wget https://bitbucket.org/maproom/qmapshack/downloads/$(pkg)-$(upstream_version).tar.gz -O $(pkg)_$(upstream_version).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://bitbucket.org/maproom/qmapshack/downloads/qmapshack-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qmapshack 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "6")
+set(APPLICATION_VERSION_MINOR "7")
 set(APPLICATION_VERSION_PATCH "0")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 find_package(Qt5Widgets)
 find_package(Qt5Core)
 find_package(Qt5Xml)
+find_package(Qt5Script)
 find_package(Qt5WebKitWidgets)
 find_package(Qt5LinguistTools)
 find_package(GDAL REQUIRED)
@@ -46,6 +47,7 @@
     map/CMapMAP.cpp
     map/CMapVRT.cpp
     map/CMapWMTS.cpp
+    map/CMapTMS.cpp
     map/CMapPathSetup.cpp    
     map/CMapPropSetup.cpp
     map/garmin/IGarminStrTbl.cpp
@@ -55,8 +57,8 @@
     map/garmin/CGarminPoint.cpp
     map/garmin/CGarminPolygon.cpp
     map/garmin/CGarminTyp.cpp
-    map/wmts/CDiskCache.cpp
-    map/wmts/IDiskCache.cpp
+    map/cache/CDiskCache.cpp
+    map/cache/IDiskCache.cpp
     map/mapsforge/types.cpp
     units/IUnit.cpp
     units/CUnitImperial.cpp
@@ -84,6 +86,11 @@
     gis/CGisDraw.cpp
     gis/IGisItem.cpp
     gis/IGisLine.cpp
+    gis/CGisWidget.cpp
+    gis/CGisListDB.cpp
+    gis/CGisListWks.cpp
+    gis/IGisProject.cpp
+    gis/CGisSerialization.cpp
     gis/wpt/CGisItemWpt.cpp
     gis/wpt/CScrOptWpt.cpp
     gis/wpt/CDetailsWpt.cpp
@@ -98,10 +105,8 @@
     gis/ovl/CGisItemOvlArea.cpp
     gis/ovl/CScrOptOvlArea.cpp
     gis/ovl/CDetailsOvlArea.cpp
-    gis/CGisWidget.cpp
-    gis/CGisListDB.cpp
-    gis/CGisListWks.cpp
-    gis/CGisProject.cpp
+    gis/gpx/CGpxProject.cpp
+    gis/search/CSearchGoogle.cpp
     plot/IPlot.cpp
     plot/CPlotAxis.cpp
     plot/CPlotAxisTime.cpp    
@@ -150,6 +155,7 @@
     map/CMapMAP.h
     map/CMapVRT.h
     map/CMapWMTS.h
+    map/CMapTMS.h
     map/CMapPathSetup.h
     map/CMapPropSetup.h    
     map/garmin/Garmin.h
@@ -160,8 +166,8 @@
     map/garmin/CGarminPoint.h
     map/garmin/CGarminPolygon.h
     map/garmin/CGarminTyp.h
-    map/wmts/CDiskCache.h
-    map/wmts/IDiskCache.h
+    map/cache/CDiskCache.h
+    map/cache/IDiskCache.h
     map/mapsforge/types.h
     units/IUnit.h
     units/CUnitImperial.h
@@ -189,6 +195,11 @@
     gis/CGisDraw.h
     gis/IGisItem.h
     gis/IGisLine.h
+    gis/IGisProject.h
+    gis/CGisWidget.h
+    gis/CGisListDB.h
+    gis/CGisListWks.h
+    gis/CGisSerialization.h
     gis/wpt/CGisItemWpt.h
     gis/wpt/CScrOptWpt.h
     gis/wpt/CDetailsWpt.h
@@ -202,11 +213,9 @@
     gis/rte/CScrOptRte.h
     gis/ovl/CGisItemOvlArea.h
     gis/ovl/CScrOptOvlArea.h
-    gis/ovl/CDetailsOvlArea.h
-    gis/CGisWidget.h
-    gis/CGisListDB.h
-    gis/CGisListWks.h
-    gis/CGisProject.h    
+    gis/ovl/CDetailsOvlArea.h    
+    gis/gpx/CGpxProject.h
+    gis/search/CSearchGoogle.h
     plot/IPlot.h
     plot/CPlotAxis.h
     plot/CPlotAxisTime.h
@@ -299,6 +308,7 @@
 target_link_libraries(${APPLICATION_NAME}
     Qt5::Widgets
     Qt5::Xml
+    Qt5::Script
     Qt5::WebKitWidgets
     CGetOpt
     ${GDAL_LIBRARIES}

=== debian/changelog ===
qmapshack (0.7.0-1build1) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 01:06:46 -0600

qmapshack (0.7.0-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0
  * Add qtscript5-dev as build dep.
  * Build with dh parallel.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 29 Oct 2014 18:34:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                libqt5webkit5-dev,
                qtbase5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               qtscript5-dev
 Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qmapshack.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
